Name:           gnome-logs
Version:        3.30.0
Release:        2
Summary:        Log viewer for the systemd journal
License:        GPLv3+
URL:            https://wiki.gnome.org/Apps/Logs
Source0:        https://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils docbook-dtds docbook-style-xsl gnome-common intltool libxslt
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(libsystemd) libappstream-glib itstool
Requires:       gsettings-desktop-schemas

%description
A log viewer for the systemd journal.

%package help
Summary:   Introduce how to use gnome-logs

%description help
User's Manual for gnome-logs

%prep
%autosetup -p1


%build
%configure
%make_build V=1


%install
%make_install
%find_lang %{name} --with-gnome


%check
make check


%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Logs.desktop
%{_datadir}/dbus-1/services/org.gnome.Logs.service
%{_datadir}/glib-2.0/schemas/org.gnome.Logs.*.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/symbolic/apps/%{name}-symbolic.svg
%{_datadir}/metainfo/org.gnome.Logs.appdata.xml

%files help
%doc AUTHORS README NEWS
%{_mandir}/man1/gnome-logs.1*


%changelog
* Wed Dec 11 2019 yangjian<yangjian79@huawei.com> - 3.30.0-2
- Package init

* Fri Jan 18 2019 zhangcheng <zhangcheng89@huawei.com> - 3.30.0-1.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add buildRequires of itstool for spec
